import request from '@/utils/request'

// 查询包厢菜单列表
export function listBox(query) {
  return request({
    url: '/system/box/list',
    method: 'get',
    params: query
  })
}

// 查询包厢菜单详细
export function getBox(menuBoxId) {
  return request({
    url: '/system/box/' + menuBoxId,
    method: 'get'
  })
}

// 新增包厢菜单
export function addBox(data) {
  return request({
    url: '/system/box',
    method: 'post',
    data: data
  })
}

// 修改包厢菜单
export function updateBox(data) {
  return request({
    url: '/system/box/put',
    method: 'post',
    data: data
  })
}

// 删除包厢菜单
export function delBox(menuBoxId) {
  return request({
    url: '/system/box/delete/' + menuBoxId,
    method: 'get'
  })
}
